diff test-normalization.sh @ 6:221cbd549c40 draft default tip

planemo upload for repository https://github.com/workflow4metabolomics/normalization commit 4bbd4d65e954192aff1a4d210001deb625667136
author workflow4metabolomics
date Tue, 30 Jul 2019 09:43:57 -0400
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test-normalization.sh	Tue Jul 30 09:43:57 2019 -0400
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Variables
+script_dir="${0%/*}"
+normalization_script=$script_dir/galaxy/normalization/NmrNormalization_wrapper.R
+data_dir=$script_dir/galaxy/normalization/test-data
+
+# Run script
+Rscript $normalization_script dataMatrix $data_dir/MTBLS1_bucketedData.tabular scalingMethod Total graphType Overlay logOut norm.log dataMatrixOut $script_dir/matrixout.tabular || exit 1
+
+# Test output file
+diff $data_dir/MTBLS1_bucketedData_normalized.tabular $script_dir/matrixout.tabular || exit 2